<?php

$type = array
(
	1 => '普通文本',
	2 => '长文本',
	3 => '编辑器',
	4 => '单张图片',
	5 => '多张图片',
	6 => '单项选择',
	//7 => '多项选择',
	8 => '时间选择',
);

$is_option = array
(
	1 => '必填',
	2 => '选填',
);

$list_show = array
(
	1 => '展示',
	2 => '不展示',
);
return array
(
	# 表名
	'name' => 'col',
	# 显示给用户看的名称
	'lang' => '字段设置',
	# 后台菜单排序
	'order' => 2,
	'menu' => false,
	'check' => 'key',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '字段名称',
			'default' 	=> '',
			'desc' 		=> '字段名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '字段标识',
			'default' 	=> '',
			'desc' 		=> '字段标识',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '字段描述',
			'default' 	=> '',
			'desc' 		=> '字段描述',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'  	=> 'radio',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
            'control'	=> 'type',
        ),

        'is_option'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否必填',
            'default'   => '1',
            'desc'      => '是否必填',
            'match'     => 'is_numeric',
            'update'  	=> 'radio',
            'option'    => $is_option,
            'search'    => 'select',
            'list'      => true,
            'edit'		=> true,
        ),

        'list_show'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '列表页是否展示',
            'default'   => '1',
            'desc'      => '列表页是否展示',
            'match'     => 'is_numeric',
            'update'  	=> 'radio',
            'option'    => $list_show,
        ),

        'pic'       => array
        (
            'type'      => 'varchar-20',
            'name'      => '图片尺寸提醒-请直接输入尺寸，如100*100',
            'default'   => '',
            'desc'      => '图片尺寸提醒',
            'match'     => 'option',
            'update'    => 'text',
            'show'      => 'type=4,5',
        ),

        'page/col_option'       => array
        (
            'name'      => '可选项',
            'default'   => '',
            'desc'      => '可选项',
            'sync'		=> array('col_id' => 'id'),
            'update'    => array(1),
            'update_type'      => 2,
            /*
            'option'	=> array(0 => array
            (
            	//'id' => 1,
            	'name' => '商品列表页112',
            	//'value' => 'shoplist11',
            )),*/
            'show'		=> 'type=6,7',
        ),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序-数值越小越靠前',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'asc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,

		# 自定义快捷新增和编辑
		'button' => array
		(
			'新增' => array('fast'),
		),
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('编辑'),
		),
	),

	'default' => array
	(
		'col' => '`name`,`key`,`desc`,`type`,`state`,`cdate`',
		'value' => array
		(
			'"标题","name","标题",1, 1,' . DEVER_TIME,
			'"图片","pic","图片",4, 1,' . DEVER_TIME,
			'"链接","link","链接",1, 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		'state' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'asc','id' => 'desc'),
			'col' => '*',
		),
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
				//'id' => array('yes', 'in'),
				//'id_no' => array('yes-id', '!='),
			),
			'type' => 'all',
			'order' => array('reorder' => 'asc','id' => 'asc'),
			'col' => '*',
		),
	),
);
