<?php

return array
(
	# 表名
	'name' => 'col_option',
	# 显示给用户看的名称
	'lang' => '字段选项',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'col_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '字段id',
			'default' 	=> '',
			'desc' 		=> '字段id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_col_id'),
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '选项名称',
			'default' 	=> '',
			'desc' 		=> '选项名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'value'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '选项值',
			'default' 	=> '',
			'desc' 		=> '选项值',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序-数值越小越靠前',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'asc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'col_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'asc','id' => 'asc'),
			'col' => 'value as id, name|id',
		),
	),
);
